Package

## Class BannerAdEventListener

- All Implemented Interfaces:

      public abstract class BannerAdEventListener
      extends AdEventListener<InMobiBanner>

  A listener for receiving notifications during the lifecycle of a banner ad.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAdFetchFailed(@NonNull() InMobiBanner ad, @NonNull() InMobiAdRequestStatus status)` | Called to notify that an ad preload has failed.
    `void` | `onAdDisplayed(@NonNull() InMobiBanner ad)` | Called to notify that the banner ad has expanded
    `void` | `onAdDismissed(@NonNull() InMobiBanner ad)` | Called to notify that the User is about to return to the application after closing the ad.
    `void` | `onUserLeftApplication(@NonNull() InMobiBanner ad)` | Called to notify that the user is about to leave the application as a result of interacting with the ad.
    `void` | `onRewardsUnlocked(@NonNull() InMobiBanner ad, Map<Object, Object> rewards)` | Called to notify that a reward was unlocked.

    - ### Methods inherited from class com.inmobi.ads.listeners.AdEventListener

      `onAdClicked, onAdFetchSuccessful, onAdImpression, onAdLoadFailed, onAdLoadSucceeded, onRequestPayloadCreated, onRequestPayloadCreationFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### onAdFetchFailed

           void onAdFetchFailed(@NonNull() InMobiBanner ad, @NonNull() InMobiAdRequestStatus status)

      Called to notify that an ad preload has failed.

      Note This notification is given only when you use `preload()` in getPreloadManager

      Parameters:
        `ad` - Represents the InMobiBanner ad which was preloaded
        `status` - Represents the InMobiAdRequestStatus status containing error reason

    - #### onAdDisplayed

           void onAdDisplayed(@NonNull() InMobiBanner ad)

      Called to notify that the banner ad has expanded

      Parameters:
        `ad` - Represents the InMobiBanner ad which was expanded

    - #### onAdDismissed

           void onAdDismissed(@NonNull() InMobiBanner ad)

      Called to notify that the User is about to return to the application after closing the ad.

      Parameters:
        `ad` - Represents the InMobiBanner ad which was closed

    - #### onUserLeftApplication

           void onUserLeftApplication(@NonNull() InMobiBanner ad)

      Called to notify that the user is about to leave the application as a result of interacting with the ad.

      Parameters:
        `ad` - Represents the InMobiBanner ad

    - #### onRewardsUnlocked

           void onRewardsUnlocked(@NonNull() InMobiBanner ad, Map<Object, Object> rewards)

      Called to notify that a reward was unlocked.

      Parameters:
        `ad` - Represents the InMobiBanner ad for which rewards was unlocked
        `rewards` - Represents the rewards unlocked